Draft: Polilinea

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Wire and the translation is 18% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Draft Line.svg Line Previous:
Next: Circle Draft Circle.svg Arrow-right.svg

Draft Wire.svg DWire

Posizione nel menu
Draft → Polilinea
Ambiente
Draft, Architettura
Avvio veloce
W I
Introdotto nella versione
-
Vedere anche
Draft → Linea, Draft → BSpline


Descrizione

Crea una polilinea (sequenza di segmenti) nel piano di lavoro corrente. La polilinea assume il tipo di linea e il colore impostati in precedenza nella Barra dei comandi e modificabili tramite la stessa o nella scheda Vista combinata → Proprietà → Vista. Lo strumento DWire si comporta come lo strumento Linea, con la differenza che non termina dopo due soli punti e i segmenti sono parti di un unico oggetto.

The Draft BSpline tool behaves like the Wire tool, except that each of its segments is curved instead of being a straight line. Use Draft WireToBSpline to convert one to the other.

Draft Polyline example.jpg

Draft Polyline example.jpg

Utilizzo

  1. Premere il pulsante Draft Wire.png DWire, o premere i tasti W e I
  2. Selezionare il primo punto nella vista 3D, o digitare le coordinate
  3. Selezionare un punto successivo nella vista 3D, o digitare le coordinate
  4. Premere F o C, o fare doppio clic sull'ultimo punto, oppure fare clic sul primo punto per completare o chiudere il contorno. Un contorno chiuso è anche una faccia, anche se appare solo il suo bordo.

The wire can be edited by double clicking on the element in the tree view, or by pressing the Draft Edit.svg Draft Edit button. Then you can move the points to a new position, or click Draft AddPoint.svg add point or Draft DelPoint.svg remove point and then click on the wire to add or remove points.

Fuse single lines

If several connected Draft Lines are selected when pressing the Draft Wire.svg Draft Wire button, they will be turned into a wire and the command will exit. introduced in version 0.17

Note: the end points of the lines must be exactly touching or they won't merge. If necessary, manually adjust the Draft Coordinates of the start and end points of the lines, or use Draft Snap with the Draft Endpoint mode to make the nodes coincident.

Opzioni

  • Premere F o il pulsante Draft FinishLine.png Termina per interrompere il disegno del contorno, lasciandolo aperto
  • Premere C o il pulsante Draft CloseLine.png Chiudi o selezionare il primo punto per chiudere il contorno collegando l'ultimo punto con il primo.
  • Premere X, Y o Z e muovere il puntatore nell'area grafica dopo il primo punto per vincolare il secondo punto su uno specifico asse. In questo caso rimane attivo solo il campo corrispondente all'asse selezionato e in esso è mostrata la posizione corrente del cursore.
  • Per inserire le coordinate manualmente, è sufficiente inserire il loro valore, poi premere INVIO per ogni componente X, Y e Z. E' bene tenere il puntatore del mouse fuori dall'area di lavoro in quanto un suo movimento accidentale cattura e inserisce nel campo di input le coordinate a cui si trova e costringe a ripetere l'inserimento.
  • Premere R oppure fare clic sulla casella di controllo per selezionare o deselezionare la modalità Relativo. In modalità Relativo, le coordinate del secondo punto sono relative al primo. In caso contrario, sono assolute, a partire dal punto di origine (0,0,0).
  • Premere T oppure fare clic sulla casella di controllo per selezionare o deselezionare la modalità Continua. In modalità Continua, al termine dell'operazione, lo strumento DWire si riavvia automaticamente e permette di disegnare una nuova polilinea senza dover ripetere il comando.
  • Premere CTRL mentre si disegna per ancorare il proprio punto al punto agganciabile più vicino, indipendentemente dalla distanza.
  • Premere SHIFT mentre si disegna per vincolare orizzontalmente o verticalmente il secondo punto rispetto al primo.
  • Premere W o il pulsante Draft Wipe.png Pulisci per rimuovere i segmenti esistenti e avviare la polilinea dall'ultimo punto.
  • Premere CTRL+Z o premere il pulsante Draft UndoLine.png Annulla per annullare l'ultimo punto inserito. Questa opzione permette di annullare a ritroso tutti i punti di una Spezzata.
  • Premere ilo tasto I o il pulsante Pieno per far apparire il contorno come una faccia se è stato chiuso.
  • Premere ESC o premere il pulsante Cancella per uscire dal comando DWire attivo.
  • Un contorno chiuso, quando è rappresentato in modalità "Flat Lines", può contenere un tratteggio, impostando le sue proprietà "Pattern" sottostanti.

Proprietà

  • DatiClosed: Specifica se il contorno è chiuso.
  • DatiChamfer Size : Stabilisce lo smusso dei vertici di una spezzata.
  • DatiFillet Radius: Specifica un raggio di curvatura di dare ai vertici della polilinea
  • DATASubdivisions: Divide i segmenti del poligono in un dato numero di suddivisioni introduced in version 0.16
  • DATAMake Face: Riempie il contorno con una faccia se è chiuso
  • VistaEnd Arrow: Mostra un simbolo di freccia nell'ultimo punto del contorno, in modo che possa essere utilizzato come linea guida di annotazione
  • VistaPattern: specifica un modello di tratteggio per riempire la polilinea
  • VistaPattern Size: Specifica la dimensione del tratteggio

Data

  • DATAStart: specifies the first point in the wire.
  • DATAEnd: specifies the last point in the wire, not counting the initial point if the wire is closed.
  • DATAClosed: specifies if the wire is closed or not. If the wire is initially open, this value is False; setting it to True will draw a line segment to close the wire. If the wire is initially closed, this value is True; setting it to False will remove the last line segment, and make the wire open.
  • DATAChamfer Size: specifies the size of the chamfers (straight segments) created on the corners of the wire.
  • DATAFillet Radius: specifies the radius of the fillets (arc segments) created on the corners of the wire.
  • DATAMake Face: specifies if the wire makes a face or not. If it is True a face is created, otherwise only the edges are considered part of the object. This property only works if DATAClosed is True.
Note: do not set DATAMake Face to True if the wire intersects itself, as it won't create a proper face.
  • DATASubdivisions: specifies the number of interior nodes in each segment of the wire. introduced in version 0.16
  • DATALength: (read-only) specifies the length of the entire wire.

View

  • VIEWEnd Arrow: if it is True it will display a symbol at the last point of the wire, so it can be used as an annotation line.
  • VIEWArrow Size: specifies the size of the symbol displayed at the end of the wire.
  • VIEWArrow Type: specifies the type of symbol displayed at the end of the wire, which can be "Dot", "Circle", "Arrow", or "Tick".
  • VIEWPattern: specifies a Draft Pattern with which to fill the face of the closed wire. This property only works if DATAMake Face is True, and if VIEWDisplay Mode is "Flat Lines".
  • VIEWPattern Size: specifies the size of the Draft Pattern.

Script

Per maggiori informazioni vedere Script di base per FreeCAD

Lo strumento DWire può essere utilizzato nelle macro e dalla console Python tramite la seguente funzione:

Wire = makeWire(pointslist, closed=False, placement=None, face=None, support=None)
Wire = makeWire(Part.Wire, closed=False, placement=None, face=None, support=None)
  • Crea un oggetto Wire con l'elenco di punti indicato, pointslist
  • Ogni punto nella lista è definito dal suo FreeCAD.Vector
    • In alternativa, l'input può essere un Part.Wire, da cui vengono estratti i punti
  • Se closed è True, o se il primo e l'ultimo punto sono identici, il contorno è chiuso
  • Se face è True, e il contorno è chiuso, il contorno è una faccia, cioè appare pieno
  • Usa il corrente Stile di linea

Esempio:

import FreeCAD, Draft

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(1000, 1000, 0)
p3 = FreeCAD.Vector(2000, 0, 0)

Wire1 = Draft.makeWire([p1, p2, p3], closed=True)
Wire2 = Draft.makeWire([p1, 2*p3, 1.3*p2], closed=True)
Wire3 = Draft.makeWire([1.3*p3, p1, -1.7*p2], closed=True)
Arrow-left.svg Draft Line.svg Line Previous:
Next: Circle Draft Circle.svg Arrow-right.svg